/******************************************************************************\
* $Id: final_scenario_template.sas,v 1.1.2.2.4.1 2012/03/07 13:36:09 saswai Exp $
*
* Copyright(c) 2011 SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
*
* Name: final_scenario_template.sas
*
* Purpose: Create the final_scenario table template
*
* Author: sasden
*
* Support: SAS(r) Solutions OnDemand
*
* Input:  none
*
* Output:  FINAL_SCENARIO template
*			
* Parameters: (if applicable)
*
* Dependencies/Assumptions: At least 1 scenario exists
*
* Usage:
*
* ddmmmyyyy userid description (Change Code)
* History: 
* 
\******************************************************************************/

proc sql ;
	create table FINAL_SCENARIO
	(
		project_sk				  NUMERIC(10),
		scenario_grp_purpose_cd   VARCHAR(20),
		scen_purpose_cd           VARCHAR(20),
		scenario_group_purpose_cd VARCHAR(20),
		scenario_group_sk         NUMERIC(10),
		scenario_group_rk         VARCHAR(20),
		project_rk                VARCHAR(20),
	  /*prep_table_sk             NUMERIC(10), */
		prep_table_rk             VARCHAR(20),
		group_type_cd             VARCHAR(20),
		scenario_run_order_no     NUMERIC(10),
		scenario_sk               NUMERIC(10), 
		scenario_rk               VARCHAR(20), 
		retained_variable_nm      VARCHAR(40),
		rule_group_cd             VARCHAR(20),  /* 8-12 Do we need this? */
		scenario_weight_no        NUMERIC(10),
		scenario_type_cd          VARCHAR(20),
		rule_formula              VARCHAR(1000),
		cat_by_vars               VARCHAR(1000),
		cat_action_vars           VARCHAR(1000),
		cat_calc_vars             VARCHAR(1000),
		cat_calc_vars_type        VARCHAR(1000),
		cat_calc_vars_len         VARCHAR(1000),
		cat_parm_vars             VARCHAR(1000),
		data_process_type_cd      VARCHAR(20),
		scenario_purpose_cd       VARCHAR(20),
		sas_file_path_nm          VARCHAR(1000),
		entity_variable_rk        VARCHAR(20),	
		entity_rk                 VARCHAR(20),
		entity_sk                 NUMERIC(10),	
		routing_grp_rk            VARCHAR(20),
		suppression_grp_rk        VARCHAR(20),
		suppress_ms_no            NUMERIC(19),
		scenario_purpose_cd       VARCHAR(20),
		recipient_id              VARCHAR(32),
		recipient_type_cd         VARCHAR(20),
		segment_id				  VARCHAR(128),
		scenario_severity_score_no NUMERIC(10,2),
		scenario_status_cd		  VARCHAR(20),
		variable_nm				  VARCHAR(255)
	)
;
quit;
